## ros-noetic-joint-limits-interface 0.19.6

=== debian/changelog ===
ros-noetic-joint-limits-interface (0.19.6-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 20 Oct 2022 23:00:00 -0000

ros-noetic-joint-limits-interface (0.19.5-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 15 Jun 2021 23:00:00 -0000

ros-noetic-joint-limits-interface (0.19.4-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-noetic-joint-limits-interface (0.19.3-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 10 Oct 2020 23:00:00 -0000

ros-noetic-joint-limits-interface (0.19.2-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 16 Aug 2020 23:00:00 -0000

ros-noetic-joint-limits-interface (0.19.1-1focal) focal; urgency=high

  * Function specifiers noetic (#453 <https://github.com/ros-controls/ros_control/issues/453>)
    * Add override specifiers & default constructors
    * Delete ControllerBase copy & move ctors
    * Remove unnecessary default constructors
    * Modernize additional constructors
    * Revert ImuSensorHandle::Data::Data() = default
    * Remove unnecessary default overridden constructors
    * Remove semicolon after function body
    Co-authored-by: Matt Reynolds <mtreynolds@uwaterloo.ca>
  * Use setuptools instead of distutils (#429 <https://github.com/ros-controls/ros_control/issues/429>)
  * Contributors: Bence Magyar, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 May 2020 23:00:00 -0000

ros-noetic-joint-limits-interface (0.19.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 22 Apr 2020 23:00:00 -0000

ros-noetic-joint-limits-interface (0.18.0-1focal) focal; urgency=high

  * Bump CMake version to avoid CMP0048 (#427 <https://github.com/ros-controls/ros_control/issues/427>)
  * Contributors: Shane Loretz

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Apr 2020 23:00:00 -0000

ros-noetic-joint-limits-interface (0.17.0-1focal) focal; urgency=high

  * Use default member initializers
  * Use braces for member initializers
  * Replace boost with std
  * Replace boost ptrs with std ptrs in documentation
  * Prefer default member initializers
  * Contributors: AbhinavSingh, Bence Magyar, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 24 Feb 2020 00:00:00 -0000

ros-noetic-joint-limits-interface (0.16.0-1focal) focal; urgency=high

  * Merge pull request #413 <https://github.com/ros-controls/ros_control/issues/413> from matthew-reynolds/range-for
    Use range-based for loop
  * Use more meaningful pair iterator names
  * Merge pull request #404 <https://github.com/ros-controls/ros_control/issues/404> from matthew-reynolds/catkin-lint
    Update CMakeLists.txt and package.xml
  * Use range-based for loops in joint_limits_interface
  * Update dependencies
    - Dependencies needed to compile are <build_depend>
    - Dependencies used in public headers are <build_export_depend>
    - Dependencies needed to link or run are <exec_depend>
  * Merge branch 'melodic-devel' into catkin-lint
  * Update package dependencies
  * Remove liburdfdom-dev
  * Add missing roscpp & rospy dependencies
  * Remove rosunit test_depend from package.xml
  * Merge pull request #405 <https://github.com/ros-controls/ros_control/issues/405> from matthew-reynolds/use-nullptr
    Use nullptr
  * Prefer 0.0 for floating point literals
  * Merge pull request #406 <https://github.com/ros-controls/ros_control/issues/406> from matthew-reynolds/pragma-once
    Use #pragma once
  * Replace header guard with #pragma once
  * Merge pull request #395 <https://github.com/ros-controls/ros_control/issues/395> from pal-robotics-forks/extend-interfaces-melodic
    Extend interfaces
  * joint_limits: use an open-loop policy for velocity staturation
    The feedback from the controller is way too slow to be used on an
    actual robot. A robot that had 15 rad.s^-2 on each wheel as
    an acceleration limit could not even reach 2 rad.s^-2
    This is in line with ros_controllers`#23 <https://github.com/ros-controls/ros_control/issues/23>`_
  * Apply consistent style to CMakeLists.txt files
  * Apply consistent style to package.xml files
  * Merge pull request #398 <https://github.com/ros-controls/ros_control/issues/398> from matthew-reynolds/revert-cmake
    Revert CMake include_directories as SYSTEM
  * Revert CMake include_directories as SYSTEM
  * Merge pull request #396 <https://github.com/ros-controls/ros_control/issues/396> from pal-robotics-forks/small-fixes
    Small fixes
  * Fix shadowed variables
  * -Werror=overloaded-virtual and initialization of fields in constructor
  * Contributors: Bence Magyar, Daniel Pinyol, Matt Reynolds, Paul Mathieu, Victor Lopez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 27 Jan 2020 00:00:00 -0000

ros-noetic-joint-limits-interface (0.15.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 29 Sep 2018 23:00:00 -0000

ros-noetic-joint-limits-interface (0.15.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 27 May 2018 23:00:00 -0000

ros-noetic-joint-limits-interface (0.14.2-1focal) focal; urgency=high

  * Update maintainers
  * Fix catkin_lint errors and warnings
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 25 Apr 2018 23:00:00 -0000

ros-noetic-joint-limits-interface (0.14.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 15 Apr 2018 23:00:00 -0000

ros-noetic-joint-limits-interface (0.14.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 25 Mar 2018 23:00:00 -0000

ros-noetic-joint-limits-interface (0.13.0-1focal) focal; urgency=high


