=== debian/control ===
Source: ros-noetic-joint-limits-interface
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-hardware-interface, ros-noetic-roscpp, ros-noetic-rostest, ros-noetic-urdf
Homepage: https://github.com/ros-controls/ros_control/wiki
Standards-Version: 3.9.2

Package: ros-noetic-joint-limits-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-hardware-interface, ros-noetic-roscpp, ros-noetic-urdf
Description: Interface for enforcing joint limits.
